GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
open_script Struct Reference

`#include "cli-cmds.h"`

## Public Member Functions
| open_script (gdb_file_up &&stream_, gdb::unique_xmalloc_ptr< char > &&full_path_)

## Public Attributes
gdb_file_up | stream
gdb::unique_xmalloc_ptr< char > | full_path

## Detailed Description

Definition at line 124 of file cli-cmds.h.

## Constructor & Destructor Documentation

## ◆ open_script()

open_script::open_script | ( | gdb_file_up && | stream_,
|  | gdb::unique_xmalloc_ptr< char > && | full_path_
| ) |  |
| inline

Definition at line 129 of file cli-cmds.h.

## Member Data Documentation

## ◆ full_path

gdb::unique_xmalloc_ptr<char> open_script::full_path

Definition at line 127 of file cli-cmds.h.

Referenced by source_script_file(), and source_script_with_search().

## ◆ stream

gdb_file_up open_script::stream

Definition at line 126 of file cli-cmds.h.

Referenced by source_script_file(), and source_script_with_search().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/cli/cli-cmds.h